# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/vim perl(App/CLI.pm) perl(App/CLI/Command.pm) perl(Archive/Extract.pm) perl(Archive/Zip.pm) perl(CPAN.pm) perl(Carp.pm) perl(Config.pm) perl(Cwd.pm) perl(DateTime.pm) perl(Digest/MD5.pm) perl(Exporter.pm) perl(Exporter/Lite.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Path.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(File/Type.pm) perl(FileHandle.pm) perl(Getopt/Long.pm) perl(HTML/Entities.pm) perl(HTTP/Lite.pm) perl(JSON.pm) perl(JSON/PP.pm) perl(LWP/Simple.pm) perl(LWP/UserAgent.pm) perl(Module/Build.pm) perl(Mouse.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Path/Class.pm) perl(Regexp/Common.pm) perl(Socket.pm) perl(Test/More.pm) perl(Text/Wrap.pm) perl(URI.pm) perl(Web/Scraper.pm)
BuildRequires: perl(YAML.pm) perl(YAML/Tiny.pm) perl(inc/Module/Install.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define module_version 2.26
%define module_name Vimana
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.26
Release: alt1
Summary: Vim script port manager
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/C/CO/CORNELIUS/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Vimana is an easy to use system for searching , installing, and downloading vim
script.

Vimana provides a command-line interface such like `aptitude' programe on
Debian linux, for you to search , download , install , upgrade scripts from
http://www.vim.org (vimonline site).

Vimana can install a vim script package to your vim runtime path automatically
by inspecting the content of archive file or vim script. For example , if an
archive file contains 'syntax','plugin','indent' directory , then these files
should be installed to ~/.vim/ directory (default vim runtime directory).   
if it's a vim color scheme , then it should be put into ~/.vim/colors/,
or Vimana will inspect the script type tag in script file.

* Getting started from the Vimana::Manual manpage.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc README.mkd todo Changes
%perl_vendor_privlib/V*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Sat May 03 2014 Igor Vlasenko <viy@altlinux.ru> 2.26-alt1
- initial import by package builder

